﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Markup;

namespace SL5MarkupExt
{
    /// <summary>
    /// 第一步：新建一个UserMarkExtension.cs类
    /// 注意UserMark(扩展标记名)+Extension.cs(固定的后缀)=UserMarkExtension.cs
    /// </summary>
    public class UserMarkExtension : MarkupExtension
    {
        //第二步：设置3个可被访问的属性LBText，LBWidth，RcRadius
        public string LBText { get; set; }
        public double LBWidth { get; set; }
        public double RcRadius { get; set; }
        //第三步：重载PrivideValue函数,设置返回的属性值
        public override object ProvideValue(IServiceProvider serviceProvider)
        {
            //如果前台调用自定义标记时LBText值为Text，
            if (LBText == "Text")
            {
                return LBText = "我是一个Text";
            }
            else if (RcRadius > 0)
            {
                return RcRadius = 15;
            }
            else
            {
                return LBWidth = 99;
            }

        }
    }
}
